Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
eZPBINIFile Class Reference

## Public Member Functions
| __construct ( $inifilename="", $write=false)
| load_data ( $inifilename="", $write=true, $useoverride=true)

## Detailed Description

! eZCommon The eZPBINIFile class provides .ini file functions.

The INI file class supports comments which starts with a # and stops at the end of the line, this means that one cannot use these characters in groups, keys or values.

The INI file can also read MS-DOS text files, which has an extra carriage return to signal an end of line.

include_once( "kernel/classes/eZPBINIFile.php" );
$ini = new eZINI( "site.ini" );
$PageCaching = $ini->variable( "eZArticleMain", "PageCaching" );
$arrayTest = $ini->read_array( "site", "ArrayTest" );
foreach ( $arrayTest as $test )
{
print( "test: ->$test<-<br>" );
}
$PageCaching
$PageCaching
Definition: articlelinks.php:32
$test
$test
Definition: checkout.php:109
eZINI
Reads and writes .ini style configuration files.
$ini
$ini
Definition: classes/admin/linklist.php:64

Definition at line 55 of file eZPBINIFile.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPBINIFile::__construct | ( |  | $inifilename = `""`,
|  |  | $write = `false`
| ) |  |

Constructs a new eZINI object.

Definition at line 61 of file eZPBINIFile.php.

References $cachedFile, $fp, $i, file_exists(), eZPBFile\filemtime(), eZPBFile\fopen(), load_data(), and eZPBFile\realpath().

## Member Function Documentation

## ◆ load_data()

eZPBINIFile::load_data | ( |  | $inifilename = `""`,
|  |  | $write = `true`,
|  |  | $useoverride = `true`
| ) |  |

Definition at line 120 of file eZPBINIFile.php.

References error(), file_exists(), load_override_data(), and parse().

Referenced by __construct().

The documentation for this class was generated from the following file:

- eZPBINIFile.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.